import { CouponService } from "./coupon.service";
export declare class CouponController {
    private readonly couponService;
    constructor(couponService: CouponService);
    findActive(lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/coupon/coupon.entity").Coupon[];
    }>;
    specialOffers(lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: any[];
    }>;
    findOne(id: string, lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: any;
    }>;
}
